const mongoose = require("mongoose");
function connect(  )
{
	return new Promise( async (resolve, reject) => {
		console.log("Connecting to DB...")
		let url = process.env.MONGODB_URL || "mongodb://localhost:27017/pm25";
		try {
			mongoose.connect(url, {
				useNewUrlParser: true,
				useUnifiedTopology: true
			})
			resolve();
			console.log("Connected!");
		} catch( e )
		{
			reject(e);
		}
	} )

}
module.exports = {connect}