const path = require( "path" );

module.exports = {
	mode: "development",
	devtool: "inline-source-map",
	entry: {
		web: "./public/javascripts/main.js",
	},
	module: {
		rules: [
			{
				test: /\.tsx?$/,
				use: "ts-loader",
				//exclude: /node_modules/,
			},
		],
	},
	resolve: {
		extensions: [".tsx", ".ts", ".js"],
	},
	output: {
		filename: "[name].bundle.js",
		path: path.resolve( __dirname, "public/javascripts/" ),
	},
};


